Delete SIP Trunk
curl --request DELETE \
--url https://app.famulor.de/api/user/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/phone-numbers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/phone-numbers/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Phone number deleted successfully."
}
{
"error": "Phone number not found."
}
Delete SIP Trunk
Delete a SIP trunk and clean up voice infrastructure
DELETE
/
api
/
user
/
phone-numbers
/
{id}
Delete SIP Trunk
Deletes a SIP trunk and removes the associated inbound and outbound trunks from the voice infrastructure.
This uses the same endpoint as releasing any phone number. For SIP trunks, the deletion is immediate (no billing period).
See Release phone number for the full endpoint documentation. SIP trunks are immediately deleted and return
"Phone number deleted successfully.".Path Parameters
integer
required
The unique identifier of the SIP trunk to delete
Response
{
"message": "Phone number deleted successfully."
}
{
"error": "Phone number not found."
}
What happens on deletion
When you delete a SIP trunk:- Inbound and outbound trunks are removed from the voice infrastructure
- Any assistants using this SIP trunk will have their phone number unassigned
- Any campaigns using this number will have it removed from rotation
- Call history is preserved and remains accessible